MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/pcm_channels.h File Reference

`#include <stdint.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Functions
const int16_t * | pcm_convert_channels_16 (struct pcm_buffer *buffer, uint8_t dest_channels, uint8_t src_channels, const int16_t *src, size_t src_size, size_t *dest_size_r)
| Changes the number of channels in 16 bit PCM data.
const int32_t * | pcm_convert_channels_24 (struct pcm_buffer *buffer, uint8_t dest_channels, uint8_t src_channels, const int32_t *src, size_t src_size, size_t *dest_size_r)
| Changes the number of channels in 24 bit PCM data (aligned at 32 bit boundaries).
const int32_t * | pcm_convert_channels_32 (struct pcm_buffer *buffer, uint8_t dest_channels, uint8_t src_channels, const int32_t *src, size_t src_size, size_t *dest_size_r)
| Changes the number of channels in 32 bit PCM data.

## Function Documentation

const int16_t* pcm_convert_channels_16 | ( | struct pcm_buffer * | buffer,
|  | uint8_t | dest_channels,
|  | uint8_t | src_channels,
|  | const int16_t * | src,
|  | size_t | src_size,
|  | size_t * | dest_size_r
| ) |  |

Changes the number of channels in 16 bit PCM data.

Parameters:

  buffer | the destination pcm_buffer object
  dest_channels | the number of channels requested
  src_channels | the number of channels in the source buffer
  src | the source PCM buffer
  src_size | the number of bytes in #src
  dest_size_r | returns the number of bytes of the destination buffer

Returns:
  the destination buffer

const int32_t* pcm_convert_channels_24 | ( | struct pcm_buffer * | buffer,
|  | uint8_t | dest_channels,
|  | uint8_t | src_channels,
|  | const int32_t * | src,
|  | size_t | src_size,
|  | size_t * | dest_size_r
| ) |  |

Changes the number of channels in 24 bit PCM data (aligned at 32 bit boundaries).

Parameters:

  buffer | the destination pcm_buffer object
  dest_channels | the number of channels requested
  src_channels | the number of channels in the source buffer
  src | the source PCM buffer
  src_size | the number of bytes in #src
  dest_size_r | returns the number of bytes of the destination buffer

Returns:
  the destination buffer

const int32_t* pcm_convert_channels_32 | ( | struct pcm_buffer * | buffer,
|  | uint8_t | dest_channels,
|  | uint8_t | src_channels,
|  | const int32_t * | src,
|  | size_t | src_size,
|  | size_t * | dest_size_r
| ) |  |

Changes the number of channels in 32 bit PCM data.

Parameters:

  buffer | the destination pcm_buffer object
  dest_channels | the number of channels requested
  src_channels | the number of channels in the source buffer
  src | the source PCM buffer
  src_size | the number of bytes in #src
  dest_size_r | returns the number of bytes of the destination buffer

Returns:
  the destination buffer